/********************************************************************************************/
/*  class BOARD                                                                             */
/*                                                                                          */
/*  Defines a board : state, type, control etc.                                             */
/*                                                                                          */
/*                                                                                          */
/*                                                                                          */
/*                                                                                          */
/********************************************************************************************/

#include <QObject>
#include "board.h"
//#include "../link/yttlink.h"

BOARD::BOARD(int boardNum)
{
    BoardNum = boardNum;

    MainWidget = new Main10VWidget;
    MonitorWidget = new MonitorWidget10V;
    connect(MainWidget->ui->faultError, SIGNAL(valueChanged(int)), this, SLOT(slot_setMaxStepValue()));

}

BOARD::~BOARD()
{
    if(MainWidget)
	delete MainWidget;
    if(MonitorWidget)
	delete MonitorWidget;
}

void BOARD::AddConfigTabs(QTabWidget *tabWidget)
{
    if(MainWidget == NULL)
    {
	MainWidget = new Main10VWidget;
	MonitorWidget = new MonitorWidget10V;
	tabWidget->addTab(MainWidget, QString(tr("Config")));
	tabWidget->addTab(MonitorWidget, QString(tr("Monitor")));
    }
    else
    {
	tabWidget->addTab(MainWidget, QString(tr("Config")));
	tabWidget->addTab(MonitorWidget, QString(tr("Monitor")));
    }
}

void BOARD::AddStatusTabs(QTabWidget *tabWidget)
{

}


int BOARD::slot_NewDataFromBoard(QString text)
{
    MainWidget->slot_NewData(text);
    MonitorWidget->slot_NewData(text);

    return 0;
}

QWidget *BOARD::subPart(int i)
{
    switch (i){
    case 0:
	return MainWidget;
    case 1:
	return MonitorWidget;
    default:
	return 0;
    }
}

void BOARD::slot_setMaxStepValue()
{
    int a = MainWidget->ui->faultError->value()-2;
    if (a == -2)
    {
	MonitorWidget->ui->StepTestValue->setMaximum(32767);
	MonitorWidget->ui->StepTestValue->setMinimum(-32767);
	return;
    }
    if (a < 0)
	a = 0;
    MonitorWidget->ui->StepTestValue->setMaximum(a);
    MonitorWidget->ui->StepTestValue->setMinimum(-a);
}
