/********************************************************************************************/
/*  class BOARD                                                                             */
/*                                                                                          */
/*  Defines a board : state, type, control etc.                                             */
/*                                                                                          */
/*  BOARD class variables contains the tab widget and one tab, the "connect" tab.           */
/*  subclass from BOARDS variables contains specific tabs and code to the matching hardware */
/*                                                                                          */
/********************************************************************************************/
#ifndef BOARD_H
#define BOARD_H

#include <QtGui/QWidget>
#include <QtGui/QTabWidget>
#include "gui_10V/main10V.h"
#include "gui_10V/monitor10V.h"
#include "../link/yttlink.h"

class Main10VWidget;
class MonitorWidget10V;

class BOARD: public QObject{
    Q_OBJECT

public:
    BOARD(int boardNum);
    ~BOARD();
    Main10VWidget *MainWidget;
    MonitorWidget10V *MonitorWidget;

    QWidget *subPart(int i);

    void AddConfigTabs(QTabWidget *tabWidget);
    void AddStatusTabs(QTabWidget *tabWidget);


public slots:
    int slot_NewDataFromBoard(QString text);
    void slot_setMaxStepValue();

signals:
    void sig_SendToBoard(QString text);
private:
    int BoardNum;
};



#endif // BOARD_H
