#ifndef MAIN10V_H
#define MAIN10V_H

#include <QtGui/QWidget>
#include <QMessageBox>
#include <QTimer>
#include "../ui_main10V.h"
#include "../board/board.h"

class BOARD;

namespace Ui
{
    class Main10VWidget;
}

class Main10VWidget : public QWidget
{
    Q_OBJECT

public:
    Main10VWidget(QWidget *parent = 0);
    ~Main10VWidget();

    BOARD *ParentBoard;
    Ui::Main10VWidgetClass *ui;

    int boardType;

public slots:
    void slot_sendParameters();
    void slot_readParameters();
    void slot_NewData(QString data);
    void slot_changedP();
    void slot_changedI();
    void slot_changedD();
    void slot_changedDeadBand();
    void slot_changedFF0();
    void slot_changedFF1();
    void slot_changedTCPS();
    void slot_changedMaxOutput();
    void slot_changedFaultError();
    void slot_changedCommandMultiplier();



private:
    QTimer *timer;
    QPalette *redPal;
    QPalette *greenPal;
    bool paramsUpdated;
    int currentParam;
    void sendNextParam();

signals:
    void sig_SendDataToBoard(QString data);
    void sig_SendLineToBoard(QString data);
};


#endif // MAIN10V_H
