#ifndef MONITOR10V_H
#define MONITOR10V_H

#include <QtGui/QWidget>
#include <QTimer>
#include <QMessageBox>
#include "../ui_monitor10V.h"

#include "qwt.h"
#include "qwt_plot.h"
#include "qwt_plot_curve.h"
#include "qwt_plot_canvas.h"
#include "qwt_legend.h"


#define PLOT_SIZE 400

namespace Ui
{
    class MonitorWidget10V;
}

class MonitorWidget10V : public QWidget
{
    Q_OBJECT

public:
    MonitorWidget10V(QWidget *parent = 0);
    ~MonitorWidget10V();
    Ui::MonitorWidget10VClass *ui;

public slots:
    void clearPlot();
    void addPoint(double Error, double Output);
    void dispError(bool yesno);
    void dispOutput(bool yesno);
    void slot_NewData(QString data);
    void slot_Timeout();
    void samplePeriodChanged(double val);
    void sampleEnableChanged();
    void launchStepTest();

signals:
    void sig_SendData(QString);

private:
    bool dError;
    bool dOutput;

    double d_x[PLOT_SIZE];
    double d_Err[PLOT_SIZE];
    double d_Out[PLOT_SIZE];

    QwtPlotCurve *cErr;
    QwtPlotCurve *cOut;

    QTimer *timer;
};


#endif // MONITOR10V_H
