#include <QDockWidget>
#include "mainwindow.h"
#include "ui_mainwindow.h"


enum ICOTYPE;

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::MainWindowClass)
{
    ui->setupUi(this);

    AboutDlg = NULL;
/*    QDockWidget *dock = new QDockWidget("test", this);

    dock->setAllowedAreas(Qt::LeftDockWidgetArea | Qt::RightDockWidgetArea);
    addDockWidget(Qt::RightDockWidgetArea, dock);*/

    lk = new YTTLINK(this);
    ui->tabWidget->removeTab(0);
    ui->tabWidget->addTab(lk->Menu(), QString(tr("connection")));

    ui->tabWidget->addTab(lk->ConfigWidget(0, 0), QString(tr("Parameters")));
    ui->tabWidget->addTab(lk->ConfigWidget(0, 1), QString(tr("RT monitor")));
    ui->tabWidget->setCurrentIndex(0);

    redPal = new QPalette(statusBar()->palette());
    normalPal = new QPalette(statusBar()->palette());
//    redPal->setColor(QPalette::Window, QColor("red"));
//    redPal->setColor(QPalette::Base, QColor("red"));
    redPal->setColor(QPalette::Text, QColor("red"));

    connect(ui->actionClose, SIGNAL(triggered()), this, SLOT(close()));

    connect(ui->actionAbout, SIGNAL(triggered()), this, SLOT(slot_OpenAbout()));
    connect(ui->actionLog_Console, SIGNAL(triggered()), lk, SLOT(slot_LogConsole()));
    connect(lk, SIGNAL(sig_StatusChanged(int, QString)), this, SLOT(slot_DisplayStatus(int, QString)));
}

MainWindow::~MainWindow()
{
    delete ui;
    if(AboutDlg)
        delete AboutDlg;
    delete lk;
}

 void MainWindow::closeEvent(QCloseEvent *event)
 {
     if(lk)
        if(!lk->IsOpen())
         {
            QApplication::exit();
            return;
        }

    QMessageBox warning(QMessageBox::Question, QString(tr("Warning!")), QString(tr("Connection opened! Disconnect the ProgKey before closing YTT.")),
                        QMessageBox::Ok|QMessageBox::Cancel, this, 0);
    int ret = warning.exec();
    if(ret == QMessageBox::Ok)
    {
	QApplication::exit();
    }
    event->ignore();
 }


void MainWindow::slot_DisplayStatus(int i, QString text)
{
    switch ((ICOTYPE)i){
	case iConnect:
	case iDisconnect:
	case iInformation:
	case iSend:
	case iReceive:
	    statusBar()->setPalette(*normalPal);
	    statusBar()->showMessage(text, 4000);
	    return;
	case iError:
	case iWarning:
	    statusBar()->setPalette(*redPal);
	    statusBar()->showMessage(text, 0);
	    return;
	}
}

void MainWindow::slot_OpenAbout(void)
{
    if(!AboutDlg)
    {
        AboutDlg = new AboutDialog;
    }
    AboutDlg->show();
}

