#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QMessageBox>
#include <QCloseEvent>
#include "about.h"
#include "link/yttlink.h"
#include "board/board.h"
#include "gui_10V/main10V.h"

class BOARD;
class YTTLINK;


namespace Ui
{
    class MainWindowClass;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();
    YTTLINK *lk;
    BOARD *board[2];

    AboutDialog *AboutDlg;
    Ui::MainWindowClass *ui;

 protected:
     void closeEvent(QCloseEvent *event);


private slots:
    void slot_OpenAbout(void);
    void slot_DisplayStatus(int i, QString text);

private:
    QPalette *redPal;
    QPalette *normalPal;
};

#endif // MAINWINDOW_H
